Bug 61192 - /etc/hosts.deny documentation has bad examples for "booby traps"
Summary: /etc/hosts.deny documentation has bad examples for "booby traps"
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcp_wrappers (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-15 04:07 UTC by John Ha
Modified: 2014-08-04 22:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-15 04:07:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Ha 2002-03-15 04:07:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020311

Description of problem:
When I tried to use the example in the "booby traps" section of hosts.deny(5), I
get an error: "bad option name "(/usr/sbin/safe_finger".

Only when I read the hosts_options(5) manpage did I see the "spawn" argument to
run shell commands through hosts.deny.

So instead of:

in.tftpd: ALL: (/path/to/safe_finger ...)

It SHOULD read:

in.ftpd: ALL: spawn (/path/to/safe_finger ...)

Also, there are no references to hosts_options in the hosts.deny manpage, so I
had to do a google search before i found the right syntax.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.man hosts.deny
2.try the "booby trap" example in /etc/hosts.deny using plausible path to
safe_finger
3.tail -f /var/log/messages
4. test "denied" service connection on separate machine.

Actual Results:  xinetd[27718]: error: /etc/hosts.deny line 11: bad option name:
"(/usr/sbin/safe_finger"

Expected Results:  mail safe_finger output to root.

Additional info:

Comment 1 Florian La Roche 2002-06-11 20:37:31 UTC
Fixed in 7.6-22 or higher.

Thanks,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.